@ECHO OFF
REM #############################################################
REM                CodeTyphon Studio 
REM      Copyright  PilotLogic Software House.
REM               All rights reserved.
REM #############################################################

title CodeTyphon Remove and Build FreePascal

REM ----------- Check for Bitness------------------
Set _BITNESS=64
IF %PROCESSOR_ARCHITECTURE% == x86 (
  IF NOT DEFINED PROCESSOR_ARCHITEW6432 Set _BITNESS=32
  )  
REM -----------------------------------------------

ECHO.
ECHO ------------------------------------------------------
ECHO             Remove and Build FreePascal  
ECHO ------------------------------------------------------
ECHO.

START /B /WAIT xx_CodeTyphon_Remove_FPC

START /B /WAIT x_FPC_Extract_Source_From_ZipFile


if %_Bitness% == 64 (

IF EXIST c:\codetyphon\Settings\CT_If_Use_MultiArch.ctsw ( 
ECHO.
ECHO [INFO] Use MultiArch Mode, try to build FPC32...
ECHO.
START /B /WAIT x_FPC_Win32_Build 
)
) ELSE (
START /B /WAIT x_FPC_Win32_Build
)

START /B /WAIT x_FPC_Win64_Build

EXIT
