@ECHO OFF
REM #############################################################
REM                CodeTyphon Studio 
REM      Copyright  PilotLogic Software House.
REM               All rights reserved.
REM #############################################################

title CodeTyphon Build Typhon BIG-IDE for Win32

SET path=C:\codetyphon\fpc\fpc32\bin\i386-win32;%path%

if NOT EXIST ..\typhon\bin32\typhonbuild.exe (
 START /B /WAIT x_Typhon_Win32_Build_Small.bat
)

ECHO.
ECHO =====================================================================
ECHO             Build Typhon32 BIG-IDE for Win32 
ECHO =====================================================================
ECHO.

if NOT EXIST ..\typhon\bin32\typhon.exe (
ECHO.
ECHO ??????????????????????????????????????????????????????
ECHO [ERROR]: Sorry, Typhon32 from Small-IDE NOT Build
ECHO          please remove and build Typhon again...
ECHO ??????????????????????????????????????????????????????
EXIT
)

if NOT EXIST ..\typhon\bin32\typhonbuild.exe (
ECHO.
ECHO ??????????????????????????????????????????????????????
ECHO [ERROR]: Sorry, typhonbuild32 from Small-IDE NOT Build
ECHO          please remove and build Typhon again...
ECHO ??????????????????????????????????????????????????????
EXIT
)

REM =================== Preparation =====================

if EXIST ..\typhon\bin32\CT_Is_BigIDE.ctsw (
 del /F /Q ..\typhon\bin32\CT_Is_BigIDE.ctsw
)

rename ..\typhon\bin32\typhon.exe styphon.exe

REM #############################################################
REM START /D ..\typhon\ /B /WAIT ..\fpc\fpc32\bin\i386-win32\make.exe bigide OPT="-g-" INSTALL_PREFIX=C:\codetyphon\typhon\

if EXIST ..\Settings\CT_Use_QT4.ctsw ( 
 START /D ..\typhon\ /B /WAIT ..\typhon\bin32\typhonbuild.exe -B --build-ide="-g- -dLCLqt" --ws=qt
 GOTO ENDBUILD
)

if EXIST ..\Settings\CT_Use_QT5.ctsw ( 
 START /D ..\typhon\ /B /WAIT ..\typhon\bin32\typhonbuild.exe -B --build-ide="-g- -dLCLqt5" --ws=qt5
 GOTO ENDBUILD
)

if EXIST ..\Settings\CT_Use_GTK2.ctsw ( 
 START /D ..\typhon\ /B /WAIT ..\typhon\bin32\typhonbuild.exe -B --build-ide="-g- -dLCLgtk2" --ws=gtk2
 GOTO ENDBUILD
)

if EXIST ..\Settings\CT_Use_GTK3.ctsw ( 
 START /D ..\typhon\ /B /WAIT ..\typhon\bin32\typhonbuild.exe -B --build-ide="-g- -dLCLgtk3" --ws=gtk3
 GOTO ENDBUILD
)

if EXIST ..\Settings\CT_Use_CustomDrawn.ctsw (
 START /D ..\typhon\ /B /WAIT ..\typhon\bin32\typhonbuild.exe -B --build-ide="-g- -dLCLcustomdrawn" --ws=customdrawn 
 GOTO ENDBUILD
)

if EXIST ..\Settings\CT_Use_fpGUI.ctsw (
 START /D ..\typhon\ /B /WAIT ..\typhon\bin32\typhonbuild.exe -B --build-ide="-g- -dLCLfpgui" --ws=fpgui
 GOTO ENDBUILD
)

START /D ..\typhon\ /B /WAIT ..\typhon\bin32\typhonbuild.exe -B --build-ide="-g- -dLCLwin32" --ws=win32

REM @@@@@@@@@@@@@@@@@@@@@@@@ ENDBUILD @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
:ENDBUILD

ECHO.

REM ================ if BIG-IDE Build OK ======================

IF EXIST ..\typhon\typhon.exe (

move /Y ..\typhon\*.exe ..\typhon\bin32\
del /F /Q ..\typhon\bin32\styphon.exe
copy /Y ..\binSettings\switcher\CT_Is_BigIDE.ctsw ..\typhon\bin32\

REM -------------- Build Tools ---------------

IF NOT EXIST ..\Settings\CT_NOT_Build_Tools.ctsw (
ECHO.
START /B /WAIT x_Typhon_Tools_Build.bat 32
)

REM -------------- Strip ----------------------------------

ECHO.
START /B /WAIT x_Typhon_Strip.bat 32

ECHO ------------------------------------------------------
ECHO.
ECHO [FINAL INFO]: Typhon32 BIG-IDE Build OK !!! Have fun.
ECHO.

) ELSE (

REM ================ if BIG-IDE NOT Build ======================

rename ..\typhon\bin32\styphon.exe typhon.exe
del /F /Q ..\typhon\*.exe

ECHO ------------------------------------------------------
ECHO.
ECHO ??????????????????????????????????????????????????????
ECHO [ERROR]: Typhon32 BIG-IDE NOT Build
ECHO ??????????????????????????????????????????????????????
ECHO.
)


EXIT
