@ECHO OFF
REM #############################################################
REM                CodeTyphon Studio 
REM      Copyright  PilotLogic Software House.
REM               All rights reserved.
REM #############################################################

REM #################### REMOVE CodeOcean #########################
ECHO.
ECHO (--SubStep 1/2)
START /B /WAIT xx_CodeTyphon_Remove_CodeOcean

REM #################### REMOVE Typhon ############################

ECHO.
ECHO (--SubStep 2/2)
ECHO ----------------------------------------------
ECHO  Please wait... Removing All Typhon Parts
ECHO ----------------------------------------------


REM ------------- Remove Typhon Directory ---------------
IF EXIST ..\lazarus (
del /f/s/q ..\lazarus\ > nul
rmdir /s/q ..\lazarus\
)

IF EXIST ..\typhon (
REM ATTRIB /S /D -R -S -H C:\codetyphon\typhon\*.*
del /f/s/q ..\typhon\ > nul
rmdir /s/q ..\typhon\

ECHO [INFO]: typhon Directory Removed OK
) ELSE (
ECHO [INFO]: typhon Directory NOT EXIST...
)

REM ------------- Remove Typhon Temporary Directory ---------------
IF EXIST ..\typhonTemp (
del /f/s/q ..\typhonTemp\ > nul
rmdir /s/q ..\typhonTemp\

ECHO [INFO]: typhonTemp Directory Removed OK
) ELSE (
ECHO [INFO]: typhonTemp Directory NOT EXIST, nothing to do ...
)


REM #################### Delete Settings ##########################

START /B /WAIT x_Typhon_Settings_Clean.bat

REM ################### Delete Typhon Shortcuts ##################

IF EXIST "%ALLUSERSPROFILE%\start menu\programs\CodeTyphon\Typhon32.lnk" (
del /f/s/q "%ALLUSERSPROFILE%\start menu\programs\CodeTyphon\Typhon32.lnk" 
) 

IF EXIST "%ALLUSERSPROFILE%\start menu\programs\CodeTyphon\Typhon64.lnk" (
del /f/s/q "%ALLUSERSPROFILE%\start menu\programs\CodeTyphon\Typhon64.lnk"
)

IF EXIST "%USERPROFILE%\Desktop\Typhon32.lnk" (
del /f/s/q "%USERPROFILE%\Desktop\Typhon32.lnk" > nul
) 

IF EXIST "%USERPROFILE%\Desktop\Typhon64.lnk" (
del /f/s/q "%USERPROFILE%\Desktop\Typhon64.lnk" > nul
) 

REM #############################################################
ECHO.
ECHO [INFO]: All Typhon parts removed from disk

EXIT
