@ECHO OFF
REM #############################################################
REM                CodeTyphon Studio 
REM      Copyright  PilotLogic Software House.
REM               All rights reserved.
REM #############################################################

REM cbFPCType=%1
REM cbFPCCPUOS=%2
REM cbFPCStartEXE=%3
REM cbTARGETCPU=%4
REM cbTARGETOS=%5
REM cbFPCCrossEXE=%6
REM cbParam=%7

IF '%1'=='' GOTO GO_END
IF '%2'=='' GOTO GO_END
IF '%3'=='' GOTO GO_END
IF '%4'=='' GOTO GO_END
IF '%5'=='' GOTO GO_END
IF '%6'=='' GOTO GO_END
IF '%7'=='' GOTO GO_END

IF '%2'=='%4-%5' GOTO GO_END

REM @@@@@@@@@@@@@@@@@@@@@@@@@@@@ INIT @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

if '%1'=='win32' SET path=C:\codetyphon\fpc\fpc32\bin\i386-win32;%path%
if '%1'=='win64' SET path=C:\codetyphon\fpc\fpc64\bin\x86_64-win64;%path%

if '%1'=='win64' (
SET bcbits=64
SET bcbincross=win64-%4-%5
) ELSE (
SET bcbits=32
SET bcbincross=win32-%4-%5
)

if NOT '%7'=='xxxx' (
SET bcbincross=%bcbincross%--%7
)

ECHO. 
echo =================================================
echo   CUSTOM Cross Element Build 
echo =================================================
ECHO.

REM @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ 
ECHO. 
ECHO ----------------------------------------------------------------
ECHO       Stage 1: Build Cross Compiler Executable CUSTOM
ECHO ----------------------------------------------------------------
ECHO.

START /D C:\codetyphon\fpcsrc\ /B /WAIT C:\codetyphon\fpc\fpc%bcbits%\bin\%2\make.exe compiler_cycle CROSSINSTALL=1 CPU_TARGET=%4 OS_TARGET=%5 BINUTILSPREFIX=%4-%5- FPC=%3.exe OPT="-dFPC_ARMHF" 


if NOT EXIST C:\codetyphon\fpcsrc\compiler\%6.exe (
ECHO.
ECHO ???????????????????????????????????????????????????????????
ECHO   [ERROR]:  %1 Cross compiler %6.exe NOT Builded
ECHO           sorry, Cross Build procedure STOP   
ECHO ???????????????????????????????????????????????????????????
ECHO.
EXIT
) ELSE (
copy /Y C:\codetyphon\fpcsrc\compiler\%6.exe C:\codetyphon\fpc\fpc%bcbits%\bin\%2\
ECHO.
ECHO [INFO]: !!! Cross compiler Executable %6.exe for %1, Build OK. !!!
)

ECHO. 
ECHO ----------------------------------------------------------------
ECHO        Stage 2: Build All Units and Packages  
ECHO ----------------------------------------------------------------
ECHO.

START /D C:\codetyphon\fpcsrc\ /B /WAIT C:\codetyphon\fpc\fpc%bcbits%\bin\%2\make.exe rtl packages CPU_TARGET=%4 OS_TARGET=%5 BINUTILSPREFIX=%4-%5- FPC=%6.exe OPT="-CaEABIHF -CpARMV6 -CfVFPV2 -OoFASTMATH"

ECHO. 
ECHO ----------------------------------------------------------------
ECHO        Stage 3: Install All Units and Packages  
ECHO ----------------------------------------------------------------
ECHO.

START /D C:\codetyphon\fpcsrc\ /B /WAIT C:\codetyphon\fpc\fpc%bcbits%\bin\%2\make.exe rtl_install packages_install CPU_TARGET=%4 OS_TARGET=%5 BINUTILSPREFIX=%4-%5- FPC=%6.exe PREFIX=C:/codetyphon/fpc/newfpc 

EXIT
REM @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

:GO_END

ECHO.
ECHO ???????????????????????????????????????????????????????????
ECHO     [ERROR]:  Sorry NO Script Parameters. 
ECHO ???????????????????????????????????????????????????????????
ECHO.

EXIT

