@ECHO OFF
REM #############################################################
REM                CodeTyphon Studio 
REM      Copyright  PilotLogic Software House.
REM               All rights reserved.
REM #############################################################

ECHO.
ECHO ----------------------------------------------------------
ECHO             Clean FreePascal Source Directory
ECHO ----------------------------------------------------------

if NOT EXIST ..\fpcsrc\ (
ECHO [ERROR]: FreePascal Directory NOT EXIST !!!
EXIT
)

SET path=C:\codetyphon\fpc\fpc32\bin\i386-win32;%path%

if EXIST ..\fpc\fpc32\bin\i386-win32\make.exe (
ECHO.
ECHO [INFO]: Use make.exe 32 bits
ECHO.

START /D ..\fpcsrc\ /B /WAIT ..\fpc\fpc32\bin\i386-win32\make.exe clean
del /F /Q ..\fpcsrc\compiler\*.exe
del /F /Q ..\fpcsrc\compiler\utils\*.exe
del /F /Q ..\fpcsrc\utils\*.exe
GOTO ALLOTHER
)

SET path=C:\codetyphon\fpc\fpc64\bin\x86_64-win64;%path%

if EXIST ..\fpc\fpc64\bin\x86_64-win64\make.exe (
ECHO.
ECHO [INFO]: Use make.exe 64 bits
ECHO.

START /D ..\fpcsrc\ /B /WAIT ..\fpc\fpc64\bin\x86_64-win64\make.exe clean
del /F /Q ..\fpcsrc\compiler\*.exe
del /F /Q ..\fpcsrc\compiler\utils\*.exe
del /F /Q ..\fpcsrc\utils\*.exe
GOTO ALLOTHER
)

REM @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
:ALLOTHER
del /f/s/q ..\fpcsrc\fpcmade.* 
del /f/s/q ..\fpcsrc\Package.fpc
del /f/s/q ..\fpcsrc\*.ppu

del /f/s/q ..\fpcsrc\compiler\*.o 
del /f/s/q ..\fpcsrc\packages\*.o 
del /f/s/q ..\fpcsrc\ide\*.o
del /f/s/q ..\fpcsrc\installer\*.o
del /f/s/q ..\fpcsrc\utils\*.o

del /f/q ..\fpcsrc\packages\xforms\fd2pascal*

REM @@@@ Remove all \units Directories from fpcsrc\packages @@@@

cd ..\fpcsrc\packages\
FOR /D /r %%G in (*) DO if EXIST %%G\units (
rmdir /S /Q %%G\units
ECHO [INFO]: Remove dir %%G\units
)
cd ..\..\ScriptsWin\

EXIT

