@ECHO OFF
REM #############################################################
REM                CodeTyphon Studio 
REM      Copyright  PilotLogic Software House.
REM               All rights reserved.
REM #############################################################

title CodeTyphon Build FreePascal 32bit

SET path=C:\codetyphon\fpc\fpc32\bin\i386-win32;%path%

ECHO.
ECHO =====================================================================
ECHO                  Build FreePascal 32bit  
ECHO =====================================================================
ECHO.

if NOT EXIST ..\fpcsrc\Makefile.fpc (
ECHO [INFO]: FPC32 Source files not exists, extracting...
START /B /WAIT x_FPC_Extract_Source_From_ZipFile
)

if NOT EXIST ..\fpc\fpc32\bin\i386-win32\make.exe (
ECHO [INFO]: FPC32 Binary files not exists, extracting...
START /B /WAIT x_FPC_Install_Bin_Files 32
)

if EXIST ..\fpc\newfpc (
ECHO [INFO]: Remove OLD FPC temporary build folder...
del /f/s/q ..\fpc\newfpc\ > nul
rmdir /s/q ..\fpc\newfpc\
)

ECHO.
ECHO -------------------------------------------------------
ECHO                  Clean FreePascal 32bit 
ECHO -------------------------------------------------------
START /D ..\fpcsrc\ /B /WAIT ..\fpc\fpc32\bin\i386-win32\make.exe clean

ECHO.
ECHO -------------------------------------------------------
ECHO                  Build FreePascal 32bit 
ECHO -------------------------------------------------------
START /D ..\fpcsrc\ /B /WAIT ..\fpc\fpc32\bin\i386-win32\make.exe all

REM ===============================================================================
IF EXIST ..\Settings\CT_FPC_Stop_Before_Install.ctsw (
ECHO.
ECHO [INFO]: Switch, FPC Stop Before Install Procedure, is ON.
ECHO         FPC Build procedure STOP. 
ECHO.
EXIT
)
REM ===============================================================================

ECHO.
ECHO -------------------------------------------------------
ECHO                  Install FreePascal 32bit 
ECHO -------------------------------------------------------
START /D ..\fpcsrc\ /B /WAIT ..\fpc\fpc32\bin\i386-win32\make.exe install INSTALL_PREFIX=C:/codetyphon/fpc/newfpc

ECHO.
ECHO -------------------------------------------------------
ECHO                  Clean FreePascal 32bit 
ECHO -------------------------------------------------------
START /D ..\fpcsrc\ /B /WAIT ..\fpc\fpc32\bin\i386-win32\make.exe clean
ECHO.
ECHO [INFO]: Clean finish...

REM ------------------------- COPY FILES-------------------------------

ECHO.
ECHO -------------------------------------------------------
ECHO                  Copy FreePascal 32bit 
ECHO -------------------------------------------------------

if NOT EXIST ..\fpc\fpc32 (
mkdir ..\fpc\fpc32
)
xcopy /E /R /Y /Q ..\fpc\newfpc\*.* ..\fpc\fpc32\

if EXIST ..\fpc\newfpc (
ECHO.
ECHO [INFO]: Remove FPC temporary build folder...
del /f/s/q ..\fpc\newfpc\ > nul
rmdir /s/q ..\fpc\newfpc\
)

ECHO.
ECHO [FINAL INFO]: FreePascal 32 Building, finish...
ECHO.
EXIT
