@ECHO OFF
REM #############################################################
REM                CodeTyphon Studio 
REM      Copyright  PilotLogic Software House.
REM               All rights reserved.
REM #############################################################

ECHO.
ECHO ----------------------------------------------------------
ECHO        Clean Typhon IDE Directory
ECHO ----------------------------------------------------------

if NOT EXIST C:\codetyphon\typhon\ (
ECHO [ERROR]: Typhon Directory NOT EXIST !!!
EXIT
)

SET path=C:\codetyphon\fpc\fpc32\bin\i386-win32;%path%

if EXIST ..\fpc\fpc32\bin\i386-win32\make.exe (
START /D C:\codetyphon\typhon\ /B /WAIT C:\codetyphon\fpc\fpc32\bin\i386-win32\make.exe clean
EXIT
)

SET path=C:\codetyphon\fpc\fpc64\bin\x86_64-win64;%path%

if EXIST ..\fpc\fpc64\bin\x86_64-win64\make.exe (
START /D C:\codetyphon\typhon\ /B /WAIT C:\codetyphon\fpc\fpc64\bin\x86_64-win64\make.exe clean
EXIT
)

REM --------- Main Units --------

cd C:\codetyphon\

del /f/s/q typhon\units > nul
rmdir /s/q typhon\units

del /f/s/q typhon\lcl\units > nul
rmdir /s/q typhon\lcl\units

del /f/s/q typhon\packager\units > nul
rmdir /s/q typhon\packager\units

del /F /Q /S typhon\*.bak

REM --------- Components ---------

cd C:\codetyphon\typhon\components\

FOR /D /r %%G in (*) DO if EXIST %%G\units (
rmdir /S /Q %%G\units
ECHO [INFO]: Remove dir %%G\units
)

FOR /D /r %%G in (*) DO if EXIST %%G\lib (
rmdir /S /Q %%G\lib
ECHO [INFO]: Remove dir %%G\lib
)
REM --------- Tools -------------

cd C:\codetyphon\

del /F /Q /S typhon\tools\*.o
del /F /Q /S typhon\tools\*.ppu
del /F /Q /S typhon\tools\*.compiled
del /F /Q /S typhon\tools\*.exe

cd C:\codetyphon\typhon\tools\

FOR /D /r %%G in (*) DO if EXIST %%G\lib (
rmdir /S /Q %%G\lib
ECHO [INFO]: Remove dir %%G\lib
)

FOR /D /r %%G in (*) DO if EXIST %%G\*.app (
rmdir /S /Q %%G\*.app
ECHO [INFO]: Remove dir %%G\*.app
)


cd C:\codetyphon\ScriptsWin\

EXIT
