@ECHO OFF
REM #############################################################
REM                CodeTyphon Studio 
REM      Copyright  PilotLogic Software House.
REM               All rights reserved.
REM #############################################################

title CodeTyphon Build Typhon32 Small-IDE for Win32

SET path=C:\codetyphon\fpc\fpc32\bin\i386-win32;%path%

ECHO.
ECHO =====================================================================
ECHO             Build Typhon32 Small-IDE for Win32 
ECHO =====================================================================
ECHO.

if NOT EXIST ..\fpc\fpc32\units\i386-win32\rtl\classes.o (
ECHO [INFO]: FreePascal Units for Win32 NOT EXIST !!!

START /B /WAIT x_FPC_Win32_Build.bat
)

if NOT EXIST ..\typhon\Makefile.fpc (
ECHO [INFO]: Typhon Source NOT EXIST !!!

START /B /WAIT x_Typhon_Exract_Source_from_ZipFile.bat
)

ECHO.
ECHO -------------------------------------------------------
ECHO             Prepare Typhon32 Win32 
ECHO -------------------------------------------------------
ECHO.

IF NOT EXIST ..\typhon\bin32\ (
mkdir ..\typhon\bin32
ECHO [INFO]: create ..\typhon\bin32 directory
)

IF EXIST ..\typhon\bin32\styphon.exe (
del /F /Q ..\typhon\bin32\styphon.exe
)

if EXIST ..\typhon\bin32\CT_Is_BigIDE.ctsw (
 del /F /Q ..\typhon\bin32\CT_Is_BigIDE.ctsw
)

START /B /WAIT x_Typhon_Settings_Restore.bat

ECHO.
ECHO -------------------------------------------------------
ECHO             Compile Typhon32 Win32 
ECHO -------------------------------------------------------
ECHO.

if EXIST ..\Settings\CT_Use_GTK2.ctsw (
 START /D ..\typhon\ /B /WAIT ..\fpc\fpc32\bin\i386-win32\make.exe all LCL_PLATFORM=gtk2 OPT="-g-" INSTALL_PREFIX=C:\codetyphon\typhon\  
 GOTO ENDBUILD
)

if EXIST ..\Settings\CT_Use_GTK3.ctsw (
 START /D ..\typhon\ /B /WAIT ..\fpc\fpc32\bin\i386-win32\make.exe all LCL_PLATFORM=gtk3 OPT="-g-" INSTALL_PREFIX=C:\codetyphon\typhon\  
 GOTO ENDBUILD
)

if EXIST ..\Settings\CT_Use_QT4.ctsw (
 START /D ..\typhon\ /B /WAIT ..\fpc\fpc32\bin\i386-win32\make.exe all LCL_PLATFORM=qt OPT="-g-" INSTALL_PREFIX=C:\codetyphon\typhon\  
 GOTO ENDBUILD
)

if EXIST ..\Settings\CT_Use_QT5.ctsw (
 START /D ..\typhon\ /B /WAIT ..\fpc\fpc32\bin\i386-win32\make.exe all LCL_PLATFORM=qt5 OPT="-g-" INSTALL_PREFIX=C:\codetyphon\typhon\  
 GOTO ENDBUILD
)

if EXIST ..\Settings\CT_Use_CustomDrawn.ctsw (
 START /D ..\typhon\ /B /WAIT ..\fpc\fpc32\bin\i386-win32\make.exe all LCL_PLATFORM=customdrawn OPT="-g-" INSTALL_PREFIX=C:\codetyphon\typhon\  
 GOTO ENDBUILD
)

if EXIST ..\Settings\CT_Use_fpGUI.ctsw (
 START /D ..\typhon\ /B /WAIT ..\fpc\fpc32\bin\i386-win32\make.exe all LCL_PLATFORM=fpgui OPT="-g-" INSTALL_PREFIX=C:\codetyphon\typhon\  
 GOTO ENDBUILD
)

START /D ..\typhon\ /B /WAIT ..\fpc\fpc32\bin\i386-win32\make.exe all OPT="-g-" INSTALL_PREFIX=C:\codetyphon\typhon\

REM @@@@@@@@@@@@@@@@@@@@@@@@ ENDBUILD @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
:ENDBUILD

ECHO.
ECHO =======================================================
IF NOT EXIST ..\typhonTemp\ (
mkdir ..\typhonTemp
ECHO.
ECHO [INFO]: create ..\typhonTemp directory.
)

IF EXIST ..\typhon\typhon.exe (
ECHO.
ECHO [INFO]: Move Executables

move /Y ..\typhon\*.exe ..\typhon\bin32\
move /Y ..\typhon\tools\*.exe ..\typhon\bin32\

ECHO.
ECHO [INFO]: Clean Tools Directory

del /F /Q /S ..\typhon\tools\*.o
del /F /Q /S ..\typhon\tools\*.ppu

ECHO.

START /B /WAIT x_Typhon_Strip.bat 32
START /B /WAIT xx_CodeTyphon_Make_Links.bat

ECHO.
ECHO [FINAL INFO]: Typhon32 Small-IDE Build OK !!!.

) ELSE (
ECHO.
ECHO ??????????????????????????????????????????????????????
ECHO [ERROR]: Typhon32 Small-IDE NOT Build
ECHO ??????????????????????????????????????????????????????
)

EXIT

